Skip to main content
POST
/
case
/
id
/
{caseId}
/
action
/
preadverse
Pre-adverse action for case
curl --request POST \
  --url https://api-stage.karmacheck.io/case/id/{caseId}/action/preadverse \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "reason": "The candidate was positive for cocaine in his drug test.",
  "adverseScreeningSelections": [
    "service-drug-1200-panel"
  ]
}
'
import requests

url = "https://api-stage.karmacheck.io/case/id/{caseId}/action/preadverse"

payload = {
"reason": "The candidate was positive for cocaine in his drug test.",
"adverseScreeningSelections": ["service-drug-1200-panel"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
reason: 'The candidate was positive for cocaine in his drug test.',
adverseScreeningSelections: ['service-drug-1200-panel']
})
};

fetch('https://api-stage.karmacheck.io/case/id/{caseId}/action/preadverse', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

caseId
string
required

The ID of the case to to begin an adverse action process on.

Body

application/json

The request body is optional, but if provided, note that the values in the reason and adverseScreeningSelections fields will be visible to the candidate in the pre-adverse action notice. This is to give an indication of the reason and specific screenings for which the action is being taken.

reason
string

An explanation of why the adverse action process is being initiated for the case.

adverseScreeningSelections
string[]

A list of specific serviceIds whose results give some basis to begin the adverse action process for the case.

Response

OK